<?
Error_Reporting(E_ALL & ~E_NOTICE);
include_once("include/sesi.php");
list($msec,$sec)=explode(chr(32),microtime());
$HeadTime=$sec+$msec;
$_title = 'Самые богатые';
include 'include/header.php';
include 'include/ini.php';
$log = htmlspecialchars(stripslashes($log));
$pas = htmlspecialchars(stripslashes($pas));
/////////////////////////////////////////////////////
$text = @file("MySql/base123/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);}
////////////////////////////////////////////////////////

if (isset($user)) {
include("include/who.php");
$dir = opendir ("MySql/base123/reg");
echo "<b><small>Самые богатые</small></b><br/><br/>";

$dir = opendir ("MySql/base123/reg");
while ($file = readdir ($dir))
{if (( $file != ".") && ($file != ".."))
{$a[]=$file;}}
closedir ($dir);
$total = count($a);

for ($i = 0; $i < $total; $i++){
$tex = @file("MySql/base123/reg/$a[$i]");
$data = explode(":||:",$tex[0]);


$dat_log[]=$data[0];
$dat_gold[]=$data[8];
}


arsort($dat_gold);


foreach($dat_gold as $k=>$v)
{$uz=$dat_log[$k];

$usersum="0";
$lines=file("MySql/base123/bankis.dat");
$county=count($lines);
for ($b=0; $b<$county; $b++) {
$dty=explode("|",$lines[$b]); if ($dty[1]==$uz) {$usersum=$dty[2];}}

$ob_summa=$v+$usersum;

$dat_log3[]=$dat_log[$k];
$dat_bank3[]=$usersum;
$dat_gold3[]=$v+$usersum;
}
arsort($dat_gold3);

foreach($dat_gold3 as $k2=>$v2)
{
$ruki=$v2-$dat_bank3[$k2];

$dat_ball2[]='<small><b><a href="search.php?nick='.$dat_log3[$k2].'&'.$sd.'&go=go">'.$dat_log3[$k2].'</a></b><br/>На руках: '.$ruki.' В банке: '.$dat_bank3[$k2].'<br/></small>';


}



for ($i = 0; $i < 10; $i++){
$i2=$i+1;
echo "<small>$i2.</small> $dat_ball2[$i]";
}



}else{echo"<small>Пароль или логин неверен!</small>";}

include_once"include/down.php";
?>

